/**  
 * Title: CwBdRecordGlorgbookController.java <br/>  
 * Description: TODO <br/> 
 * Copyright: Copyright (c) 2019 <br/>
 * @author lipeng 
 * @date 2019年7月16日 上午9:56:17    
 * @version 1.0  
 */
package com.dhcc.finance.main.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.constant.MsConfigConsts;
import com.dhcc.finance.main.domain.CwBdGlorgbook;
import com.dhcc.finance.main.domain.CwBdParametric;
import com.dhcc.finance.main.domain.CwBdRecordGlorgbook;
import com.dhcc.finance.main.service.CwBdRecordGlorgbookService;
import com.github.pagehelper.PageInfo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

/**  
 * Title: CwBdRecordGlorgbookController <br/>  
 * Description: TODO <br/> 
 * @author lipeng 
 * @date 2019年7月16日 上午9:56:17
 */
@RestController
@RequestMapping(value = MsConfigConsts.MS_API_PREFIX + CwBdRecordGlorgbookController.API_PREFIX, 
  	          produces = {MediaType.APPLICATION_JSON_UTF8_VALUE }, consumes = { MediaType.APPLICATION_JSON_UTF8_VALUE })
@Api(value = "自动建账记录表Controller", tags = { "自动建账记录表配置" })
public class CwBdRecordGlorgbookController {
	    
	        @Autowired
	        CwBdRecordGlorgbookService  cwBdRecordGlorgbookService;
	         // 自动建账记录表操作接口地址前缀
 			public static final String API_PREFIX = "/cw-bd-record-glorgbook";
 			
 			/**
 			 * Title: selectcwBdRecordGlorgbookinfo <br/>  
 			 * Description: TODO 根据信托子项目编号获取自动建账的建账结果信息<br/>
 			 * @author lipeng 
 			 * @param xtzxmbh
 			 * @param pageNum
 			 * @param pageSize
 			 * @param navigatePages
 			 * @return RestfulResponse<PageInfo<CwBdRecordGlorgbook>,CurrencyMeta>
 			 * @date 2019年7月31日 下午4:12:36
 			 */
 			@ApiOperation(value = "根据信托子项目编号获取自动建账的建账结果信息", notes = "", produces = MediaType.APPLICATION_JSON_UTF8_VALUE, consumes = MediaType.ALL_VALUE)
 			@ApiImplicitParams({
 				@ApiImplicitParam(name = "nameLike", value = "模糊查询名称", required = false, dataType = "String", paramType="query"),
 		        @ApiImplicitParam(name = "pageNum", value = "页码", required = true, dataType = "String", paramType="query"),
 		        @ApiImplicitParam(name = "pageSize", value = "每页显示数量", required = true, dataType = "String", paramType="query"),
 			    @ApiImplicitParam(name = "xtzxmbh", value = "信托子项目编号", required = false, dataType = "String", paramType="query"),
 			})
 			@RequestMapping(value = { "/selectcwBdRecordGlorgbookinfo" }, method = RequestMethod.GET, consumes = MediaType.ALL_VALUE)
 			public RestfulResponse<PageInfo<CwBdRecordGlorgbook>, CurrencyMeta> selectcwBdRecordGlorgbookinfo(
 					@RequestParam(value="xtzxmbh") String xtzxmbh,
 					@RequestParam("pageNum") int pageNum,
 					@RequestParam("pageSize") int pageSize,
 					@RequestParam("navigatePages") int navigatePages){
 				return  cwBdRecordGlorgbookService.selectcwBdRecordGlorgbookinfo(pageNum, pageSize, navigatePages, xtzxmbh);
 	     }
 			/**
 			 * Title: selectGlorgbookAllInfo <br/>  
 			 * Description: TODO 查询帐套表的全部信托子项目编号和帐套名称<br/>
 			 * @author lipeng 
 			 * @return RestfulResponse<List<CwBdRecordGlorgbook>,CurrencyMeta>
 			 * @date 2019年7月31日 下午4:43:52
 			 */
 			@ApiOperation(value = "查询帐套表的全部信托子项目编号和帐套名称", notes = "查询帐套表的全部信托子项目编号和帐套名称", produces = MediaType.APPLICATION_JSON_UTF8_VALUE, consumes = MediaType.ALL_VALUE)
 			@RequestMapping(value = { "/selectGlorgbookAllInfo" }, method = RequestMethod.GET, consumes = MediaType.ALL_VALUE)
 			public RestfulResponse<List<CwBdGlorgbook>, CurrencyMeta> selectGlorgbookAllInfo(){
 			
 				return  cwBdRecordGlorgbookService.selectGlorgbookAllInfo();
 	     }
}
