/*
 *
 * CwBdRecordNcpush.java
 * Copyright(C) 2017-2020 DHCC
 * @date 2020-05-20
 */
package com.dhcc.finance.main.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * * cw_bd_record_ncpush
 */

@ApiModel(value = "CwBdRecordNcpush", description = "自动推送nc记录表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdRecordNcpush {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    /**
     * 子项目编号
     */
    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String projectCode;

    /**
     * 子项目名称
     */
    @ApiModelProperty(value = "子项目名称", required = false, example = "")
    private String projectName;

    /**
     * 流程编号
     */
    @ApiModelProperty(value = "流程编号", required = false, example = "")
    private String instId;

    /**
     * 流水编号
     */
    @ApiModelProperty(value = "流水编号", required = false, example = "")
    private String serialNo;

    /**
     * 凭证编号
     */
    @ApiModelProperty(value = "凭证编号", required = false, example = "")
    private String pkVoucher;

    /**
     * 收款人
     */
    @ApiModelProperty(value = "收款人", required = false, example = "")
    private String payeeMan;

    /**
     * 是否推送成功
     */
    @ApiModelProperty(value = "是否推送成功", required = false, example = "")
    private String pushType;

    /**
     * 返回结果
     */
    @ApiModelProperty(value = "返回结果", required = false, example = "")
    private String returnData;

    /**
     * 失败原因
     */
    @ApiModelProperty(value = "失败原因", required = false, example = "")
    private String failReason;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

}