/*
*
* CwGlInitbuildTemp.java
* Copyright(C) 2017-2020 DHCC
* @date 2019-04-29
*/
package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.dhcc.common.util.ExcelColumn;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 *  * cw_gl_initbuild_temp
 */
@ApiModel(value = "CwGlInitbuildTemp",description = "期初余额临时表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlInitbuildTemp {
    @ApiModelProperty(value = "账套", required = false, example = "")
    @ExcelColumn(value="账套",col=1)
    private String pkGlorgbook;

    /**
     * 期初期间
     */
    @ApiModelProperty(value = "期初期间", required = false, example = "")
    @ExcelColumn(value="期初期间",col=2)
    private String period;

    /**
     * 科目类型
     */
    @ApiModelProperty(value = "科目类型", required = false, example = "")
    @ExcelColumn(value="科目类型",col=3)
    private String pkSubjtype;

    /**
     * 科目主键
     */
    @ApiModelProperty(value = "科目主键", required = false, example = "")
    @ExcelColumn(value="科目主键",col=4)
    private String pkAccsubj;

    /**
     * 科目编码
     */
    @ApiModelProperty(value = "科目编码", required = false, example = "")
    @ExcelColumn(value="科目代码",col=5)
    private String subjcode;

    /**
     * 科目名称
     */
    @ApiModelProperty(value = "科目名称", required = false, example = "")
    @ExcelColumn(value="科目名称",col=6)
    private String subjname;

    /**
     * 科目方向
     */
    @ApiModelProperty(value = "科目方向", required = false, example = "")
    @ExcelColumn(value="借贷方向",col=7)
    private String balanorient;

    /**
     * 币种
     */
    @ApiModelProperty(value = "币种", required = false, example = "")
    @ExcelColumn(value="币种",col=8)
    private String pkCurrtype;

    /**
     * 辅助核算类型
     */
    @ApiModelProperty(value = "辅助核算类型", required = false, example = "")
    @ExcelColumn(value="辅助核算类型",col=9)
    private String checktype;

    /**
     * 辅助核算值
     */
    @ApiModelProperty(value = "辅助核算值", required = false, example = "")
    @ExcelColumn(value="辅助核算值",col=10)
    private String checkvalue;

    /**
     * 期初余额
     */
    @ApiModelProperty(value = "期初余额", required = false, example = "")
    @ExcelColumn(value="期初余额",col=11)
    private BigDecimal initamount;
    
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    @ExcelColumn(value="使用状态",col=12)
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    @ExcelColumn(value="录入人员",col=13)
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    @ExcelColumn(value="录入时间",col=14)
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    @ExcelColumn(value="最后修改人员",col=15)
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    @ExcelColumn(value="最后修改时间",col=16)
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    @ExcelColumn(value="备注",col=17)
    private String remark;

}