package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwGlWeightedDetail", description = "项目加权规模明细表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlWeightedDetail {    
	/**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号", required = false, example = "")
    private String xtxmbh;

    /**
     * 子项目编号
     */
    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String xtzxmbh;

    /**
     * 科目编码
     */
    @ApiModelProperty(value = "科目编码", required = false, example = "")
    private String subjcode;

    /**
     * 生成日期
     */
    @ApiModelProperty(value = "生成日期", required = false, example = "")
    private Date reportDate;

    /**
     * 期末余额
     */
    @ApiModelProperty(value = "期末余额", required = false, example = "")
    private BigDecimal balance;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
    }