package com.dhcc.finance.main.model;

import java.util.Date;

import org.springframework.web.multipart.MultipartFile;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "FileUploadRequest",description = "文件与实体上传")
public class FileUploadRequest {
	@ApiModelProperty(value = "文件", required = true)
	MultipartFile[] files = new MultipartFile[] {};
	 /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String pkVouchtempcom;

    /**
     * 单据类型
     */
    @ApiModelProperty(value = "单据类型", required = false, example = "")
    private String pkBilltype;

    /**
     * 场景名称
     */
    @ApiModelProperty(value = "场景名称", required = false, example = "")
    private String transname;

    /**
     * 交易码
     */
    @ApiModelProperty(value = "交易码", required = false, example = "")
    private String transno;

    /**
     * 凭证模板
     */
    @ApiModelProperty(value = "凭证模板", required = false, example = "")
    private String pkVouchtemp;

    /**
     * 凭证模板名称
     */
    @ApiModelProperty(value = "凭证模板名称", required = false, example = "")
    private String vouchtempname;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

}
