package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdAccassitem;
import com.dhcc.finance.main.model.CwBdAccassitemWeb;
import com.github.pagehelper.PageInfo;

/**
 * 功能描述：辅助核算项目接口
 * @author dml
 * @date 2019年4月4日 上午11:18:42
 * @修改日志：
 */
public interface CwBdAccassitemService {
	/**
	 * 功能描述：查询全部辅助核算项目
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @return RestfulResponse<PageInfo<CwBdAccassitem>,CurrencyMeta>
	 * @author dml
	 * @date 2019年4月4日 上午11:20:34
	 * @修改日志：
	 */
	RestfulResponse<List<CwBdAccassitem>, CurrencyMeta> searchCwBdAccassitemAllData();

	/**
	 * @param accassitemPks
	 * @return RestfulResponse<List<CwBdAccassitem>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年4月6日 下午2:22:33
	 *@修改日志：
	 */
	RestfulResponse<List<CwBdAccassitem>, CurrencyMeta> searchCwBdAccassitemForBatch(List<String> accassitemPks);
	/**
	 * 功能描述  根据主键获取辅助项信息
	 * @param accassitemPks
	 * @return RestfulResponse<CwBdAccassitem,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年6月15日 上午11:08:32
	 * 修改日志
	 */
	RestfulResponse<CwBdAccassitem, CurrencyMeta> searchCwBdAccassitemByPk(String accassitemPks);
	/**
	 * 功能描述 根据科目版本和科目获取辅助项数据
	 * @param pkAccsubj
	 * @param pkSubjscheme
	 * @return RestfulResponse<List<CwBdAccassitem>,CurrencyMeta>
	 * @author huangpeng
	 * @date 2019年7月2日 下午9:54:07
	 * 修改日志
	 */
	RestfulResponse<List<CwBdAccassitem>, CurrencyMeta> searchPkAccassitemList(String pkAccsubj, String pkSubjscheme);
	/**
	 * 功能描述  获取受益凭据信息
	 *@param xtzxmbh
	 *@return RestfulResponse<List<CwBdAccassitemWeb>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年10月30日 下午6:15:48
	 *修改日志:
	 */
	RestfulResponse<List<CwBdAccassitemWeb>, CurrencyMeta> searchCwBdAccassitemForSypj(String xtzxmbh);
}
